## ffmpegfs 1.10

=== debian/changelog ===
ffmpegfs (1.10-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Mar 2020 17:10:01 -0700

ffmpegfs (1.10-2) unstable; urgency=low

  * Bugfix: Fixed license in d/copyright (closes: #951657):
            - Docs are under the GPL or the GFDL, not just the GFDL.
              Updated d/copyright to reflect that.
            - Listed INSTALL.md with the rest of the docs.
            - Update copyright years to match src/ffmpegfs.cc and
              src/ffmpegfs.h.
            - Included ffmpegfs.1 to be under GPL or GFDL.
  * Support: No longer creating a user/group ffmpegfs while "make install".
             The user is not really required, just bloats the system's user 
             database.
  * Support: Reduced quality of the test video to make the distribution archive
             slimmer. A full HD (1920x1280) video at 60 frames per second was a
             bit of an overkill anyway. 720x400 at 30 fps should be enough for
             everybody.
  * Feature: Cache dir changed to ${XDG_CACHE_HOME:-~/.cache}/ffmpegfs (as
             specified in the XDG Base Directory Specification). Falls back to
             ${HOME:-~/.cache}/ffmpegfs if not defined. Only if executed with
             root privileges, "/var/cache/ffmpegfs" will be used (e.g. if
             invoked via /etc/fstab entry).
  * Bugfix: Issue #46 - Ensure the selected bitrate is used. Files could become 
            much larger than expected. There's a strange FFmpeg API behaviour
            behind that, added the solution used in ffmpeg.c to fix.
  * Known bug: Libav support for videos seems broken. Not sure if this will be
               fixed or Libav be simply dropped.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Thu, 20 Feb 2020 14:09:23 +0100
             

ffmpegfs (1.10-1) unstable; urgency=low

  * make install no longer creates a user/group ffmpeg. Caused problems when
    building packages for Debian. The cache directory /var/cache/ffmepgfs is
    now created as user root, but the group is changed to users. If the data-
    base ist created as root regular users will be denied access anyway.
  * Created own recordings of raven.flac and nimmermehr.ogg (German version of
    raven.flac) and put all under CC0 1.0 Universal (CC0 1.0). Added
    license/copyright for test/srcdir/* into debian/copyright.
  * Feature: Added checks for mov/mp4/prores/webm video format.
  * Bugfix: Moved video deinterlace filtering before rescaling. Deinterlace does
            not work properly on rescaled videos, what a surprise. Especially
            caused strange results on Bluray sources, created blurred frames if
            downscaled from HD to SD (or lower) before deinterlacing.
  * Bugfix: Avoid EINVAL errors in case the cache file ends up at zero size.
            Minor problem, but ugly.
  * Bugfix: Cache structure was not properly initialised, causing invalid values
            in the database.
  * Bugfix: Skip corrupted and discarded video frames to avoid blurps.
  * Bugfix: Corrected mistake in online help: clear-cache should be clear_cache
            instead.
  * Bugfix: Issue #43 - fix garbled first 12 frames. Enhanced overall picture
            quality.
  * Workaround: Issue #45 - fix garbled Bluray/DVD playback. Just a workaround,
                the problem is somewhere else.
  * Known bug: Libav support for videos seems broken. Not sure if this will be
               fixed or Libav be simply dropped.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 26 Jan 2020 16:16:03 +0100

ffmpegfs (1.8-12) unstable; urgency=low

  * Changed target to unstable
  * Changed both license paragraphs in debian/copyright from plain
    "GFDL" to "GFDL with no Invariant Sections".
  * test/metadata.c rewritten and put under GPL.
  * "2017-present" in debian/copyright changed to "2017-2020"
  * Some copyright years for INSTALL.md are missing. Not a bug, there's a gap
    because the old maintainer ended the (c) in 2014.
  * Added missing (c) header to test/fpcompare.c.
  * Created own recordings of raven.flac and nimmermehr.ogg (German version of
    raven.flac) and put both into the public domain. Added license/copyright for
    test/srcdir/* into debian/copyright.
  * test/fpcompare.c had no copyright at all. fixed
  * The license/copyright for test/srcdir/* needs to be in d/copyright. fixed

 -- Norbert Schlia <nschlia@oblivion-software.de>  Mon, 20 Jan 2020 22:02:03 +0100

ffmpegfs (1.8-11) unstable; urgency=low

  * debian/control: xxd, docbook-xsl and xsltproc were also missing...

 -- Norbert Schlia <nschlia@oblivion-software.de>  Tue, 03 Sep 2019 18:08:09 +0200

ffmpegfs (1.8-10) unstable; urgency=low

  * debian/copyright: Change GPL link to point at a specific version
    (/usr/share/common-licenses/GPL-3).
  * debian/control: Not libxml2-utils but docbook-xml instead.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Tue, 03 Sep 2019 15:48:41 +0200

ffmpegfs (1.8-9) unstable; urgency=low

  * debian/control: libavfilter-dev dependency was missing
  * Obviously xmlint IS required, so readded check to configure.
  * debian/control: Add libxml2-utils dependency for xmlint

 -- Norbert Schlia <nschlia@oblivion-software.de>  Fri, 30 Aug 2019 13:15:13 +0200

ffmpegfs (1.8-8) unstable; urgency=low

  * debian/copyright: Change GFDL link to point at a specific version
    (/usr/share/common-licenses/GFDL-1.3).

 -- Norbert Schlia <nschlia@oblivion-software.de>  Wed, 28 Aug 2019 19:03:28 +0200

ffmpegfs (1.8-7) unstable; urgency=low

  * Removed trailing blanks from build files
  * debian/copyright: Added hint for no invariant parts to GFDL

 -- Norbert Schlia <nschlia@oblivion-software.de>  Wed, 28 Aug 2019 19:03:28 +0200

ffmpegfs (1.8-6) unstable; urgency=low

  * Added missing build depends.
  * Removed hardcoded shared libraries from debian/control.
  * Extended the description in debian/control.
  * Added GFDL license paragraph to debian/copyright.

