=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Disable tests for now, problems will be fixed up stream
# Also should declare a test suite, see  testsuite-autopkgtest-missing
override_dh_auto_test:

override_dh_strip:
	dh_strip --no-automatic-dbgsym
