## ffmpegfs 1.98

=== debian/changelog ===
ffmpegfs (1.98-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 May 2020 12:59:30 -0700

ffmpegfs (1.98-3) unstable; urgency=low

  * Added patch for cross build. (Closes: #958928)
    ffmpegfs fails to cross build from source, because it uses AC_RUN_IFELSE
    without an alternative for cross compilation. In this case,
    AC_RUN_IFELSE is entirely unnecessary, because AC_CHECK_SIZEOF works.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 26 Apr 2020 21:56:30 +0200

ffmpegfs (1.98-2) unstable; urgency=low

  * Removed -march command line option. (Closes: #958646)
    Some architectures, namely powerpc ppc64 ppc64el, do not support the
    -march command line option. Removed from Makefile.
    Fixed upstream for 1.99 also.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Fri, 24 Apr 2020 09:58:33 +0100

ffmpegfs (1.98-1) unstable; urgency=low

  * Cool, there's an online revivew on Linux Uprising, you can read it here:
    https://www.linuxuprising.com/2020/03/ffmpegfs-is-fuse-based-filesystem-for.html
  * Feature: HLS: Introducing direct segment access. If e.g. segment
            no. 333 is opened, ffmpegfs will seek to this position and start
            transcoding the segment immediately.
  * Support: No longer creating a user/group ffmpegfs while "make install".
            The user is not really required, just bloats the system's user
            database.
  * Support: Reduced quality of the test video to make the distribution
            archive slimmer. A full HD (1920x1280) video at 60 frames per
            second was a bit of an overkill anyway. 720x400 at 30 fps
            should be enough for everybody.
  * Feature: Cache dir changed to ${XDG_CACHE_HOME:-~/.cache}/ffmpegfs (as
             specified in the XDG Base Directory Specification). Falls back
             to ${HOME:-~/.cache}/ffmpegfs if not defined. Only if executed
             with root privileges, "/var/cache/ffmpegfs" will be used e.g.
             if invoked via /etc/fstab entry).
  * Feature: Changed PTS generation: For DVD/Bluray chapters they will not
             start at 0 for each chapter, but at the real time the chapter
             begins in its title. Fixes #51.
  * Feature: Issue #52 - Added --audiochannels option to select a different
             number of channels. Defaults to 2 (stereo), may be set to 1 to
             create mono files. Set to 0 to keep the original number of
             channels.
  * Bugfix: Issue #46 - Ensure the selected bitrate is used. Files could
            become much larger than expected. There's a strange FFmpeg API
            behaviour behind that, added the solution used in ffmpeg.c to
            fix.
  * Bugfix: Issue #48 - Properly handle incorrectly authored DVDs with
            missing SRI_END_OF_CELL marks after cells.
  * Bugfix: Issue #49 - Avoid creating HLS last segments shorter than
            200 ms, avoid stalls when the total playtime is a multiple of
            the segment size, e.g. 10 seconds.
  * Bugfix: Issue #54 - Made sure no duplicate filenames get created. This
            changes the output name scheme, e.g. if two files xyz.ts and
            xyz.wmv exist and the destination type is mp4, two output files
            named xyz.ts.mp4 and xyz.wmv.mp4 appear. An additional file
            xyz.mp4 will show up with its real name.
            To continue using the old names, add --oldnamescheme=1 to the
            command line.
  * Bugfix: Online help and docs state --autocopy=OFF would turn the
            function off, but this actually was NONE. Changed to match
            documentation.
  * Libav support has been dropped. There is not activity on
    https://git.libav.org/?p=libav.git since 21.08.2019, and some features
    that FFmpegfs required were already lagging behind FFmpeg API.
    Supporting Libav already bound a lot of my time that I could better
    spend on new features or fixes for FFmpegfs.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Thu, 16 Apr 2020 20:10:22 +0100
