=== debian/control ===
Source: ffmpegfs
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
Build-Depends: asciidoc-base,
               automake,
               bc,
               debhelper (>=12),
               docbook-xml,
               docbook-xsl,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libbluray-dev,
               libchromaprint-dev,
               libdvdnav-dev,
               libdvdread-dev,
               libfuse-dev,
               libsqlite3-dev,
               libswresample-dev,
               libswscale-dev,
               libtool,
               w3m,
               xsltproc,
               xxd
Standards-Version: 4.3.0
Homepage: https://nschlia.github.io/ffmpegfs/

Package: ffmpegfs
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fuse Multi Media Filesystem
 A read-only FUSE filesystem which transcodes various audio and video formats
 to MP4, WebM and many more on the fly when opened and read using the FFmpeg
 library, this way supporting a multitude of input formats and a variety of
 common output formats.
 .
 This allows access to a multi media file collection with software and/or
 hardware which only understands one of the supported output formats, or
 transcode files through simple drag-and-drop in a file browser.
