## ffmpegfs 2.2

=== debian/changelog ===
ffmpegfs (2.2-1) unstable; urgency=medium

  * This is a maintenance release, bugfixes only.

  * Bugfix: Issue #75: Fix crash when opening mp3 output with Dolphin.
  * Bugfix: Issue #70: Possible crash in Buffer::init: Should not assert if
            duration is 0 (and thus segment count 0). Report internal error and
            go on.
  * Bugfix: Issue #70: Do not set duration to 0 from cache but leave unchanged.
            Caused HLS transcoding to fail if more than one transcoder was
            concurrently started.
  * Bugfix: Possible crash in transcoder_thread: Decoder object could have been
            used after being freed.
  * Bugfix: Stupid blooper. WAV and AIFF size was always calculated for a mono
            file, thus for stereo files resulting in only half the correct size.
  * Bugfix: Corrected documentation, "make checks" should read "make check",
            funny this went unnoticed for over 3 years...
  * Bugfix: Issue #74: Album arts were only copied from MP3/4 sources. Removed
            restriction, if the input file contains an album art it will be
            copied to the target (if supported, of course, e.g., to mp3 or mp4.
            Ogg is not yet supported because embedding album arts in Ogg can
            only be done by an unofficial workaround).
  * Bugfix: Issue #71:: Virtual directories were missing dot and dot-dot nodes.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sat, 06 Feb 2021 12:42:09 +0100

ffmpegfs (2.1-1) unstable; urgency=low

  * Feature: Add BLURAY_VIDEO_FORMAT_2160P (UHD)
  * Feature: Implemented in 1.7, removed experimental state for --win_smb_fix
             now. Windows seems to access the files on Samba drives starting
             at the last 64K segment simply when the file is opened. Setting
             --win_smb_fix=1 will ignore these attempts (not decode the file
             up to this point).
  * Feature: --win_smb_fix now defaults to 1 (fix on by default). Has no effect
             if the drive is accessed directly or via Samba from Linux.
  * Bugfix: Fixed grammatical error in text: It's "access to", not "access at".
  * Bugfix: Did not transcode some source files with invalid DTS.
  * Bugfix: Cosmetical - No need to log date/time twice in syslog.
  * Bugfix: Cosmetical - Fix man page/online help for --recodesame parameter.
  * Bugfix: Report correct segment duration
  * Bugfix: Avoid crash if opening next HLS segment failed. Should not ignore
            this, but report it instead and stop transcoding.
  * Cosmetical: Log cache close action at trace level
  * Cosmetical: Shorter log entry when opening cache files                                                    

 -- Norbert Schlia <nschlia@oblivion-software.de>  Thu, 17 Dec 2020 19:58:23 +0100

ffmpegfs (2.0-1) unstable; urgency=low

  * Feature: No new features, new release 2.0 after feature freeze.
  * Bugfix: Issue #64 - Fixed playback stopping prematurely on some files.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 13 Sep 2020 12:11:00 +0200
