=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Pull in DEBIAN_VERSION variable
include /usr/share/dpkg/pkg-info.mk

# Get the Debian version revision:
DEB_REVISION := $(word 2, $(subst -, ,$(DEB_VERSION)))

CONFIG := --with-extra-version="$(DEB_REVISION)"

%:
	dh $@

# Configure with revision
override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG)

# Disable tests for now, problems will be fixed up stream
# Also should declare a test suite, see  testsuite-autopkgtest-missing
override_dh_auto_test:
