=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ffmpegfs-$1\.tar\.gz/ \
  https://github.com/nschlia/ffmpegfs/tags .*/v?(\d\S*)\.tar\.gz
