## ffmpegfs 2.8

=== debian/changelog ===
ffmpegfs (2.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 05 Dec 2021 19:17:58 +0100

ffmpegfs (2.8-1) unstable; urgency=medium

  * Bugfix: Issue #102: Not all SQL queries where case sensitive, causing cache
    confusion. Several database entries were created, but only one was updated.
    Made all queries case sensitive.
  * Bugfix: Issue #91: Fixed HLS problems with cache causing garbled videos and
    hick-ups in audio. Make sure that the cache is clean when transcoding
    starts.
    There should be no remains left, all segments must be created or recreated
    anyway. Do not append to cache when writing. This caused cache files to
    become larger and larger.
  * Enhancement: Issue #103: If requested HLS segment is less than X
    (adjustable) seconds away, discard seek request. Segment would be available
    very soon anyway, and that seek makes a re-transcode necessary. Can be set
    with --min_seek_time_diff. Defaults to 30 seconds.
  * Feature: Issue #105: Added Free Lossless Audio Codec (FLAC) support.
    Activate with *--desttype=FLAC*.
  * Feature: Issue #101: Sample format for audio files can be selected via
    command line with --audiosamplefmt. Possible values are 0 to use the
    predefined setting, 8, 16, 32, 64 for integer format, F16, F32, F64 for
    floating point.
    Not all formats are supported by all destination types, selecting an invalid
    format will be reported as error and a list of values printed.
    Defaults to 0 (Use same as source or the predefined format of the
    destination if source format is not possible).

 -- Norbert Schlia <nschlia@oblivion-software.de>  Mon, 29 Nov 2021 17:50:54 +0100

ffmpegfs (2.7-1) unstable; urgency=medium

  * Bugfix: Issue #92: Fixed crash when hardware decoding failed. The problem
    is that the FFmpeg API very late reports that it cannot decode the file in
    hardware. To find out about that, the source file must be decoded until the
    first video frame is encountered.
    It would be very time consuming to do this on every file (decode until it
    is clear that the file is supported, then actually start transcoding it
    from scratch). There is no feasible way to automatically handle the
    situation. To get around this a --hwaccel_dec_blocked parameter has been
    added.
    If hardware decoding fails, check the log for a message similar this:
    "[vp9 @ 0x7fe910016080] No support for codec vp9 profile 0."
    If VP9 profile 0 is not supported, the parameter would be:
    --hwaccel_dec_blocked=VP9:0
    This will tell FFmpegfs to decode the file in software. To block VP9
    as a whole, the parameter would be --hwaccel_dec_blocked=VP9. To block
    both profile 0 and 1, use --hwaccel_dec_blocked=VP9:0:1.
    The parameter can be repeated to block even more codecs.
  * Bugfix: Issue #96: Fixed potential buffer overrun and crash when reading
    corrupted input files.
  * Enhancement: Issue #99: Report command line error if --desttype specifies
    audio format first, or if the second format is not audio only. Avoid
    misinterpretations. For example, --desttype=aiff+mov would create MOV
    files out of any input. Correct would be --desttype=mov+aiff which will
    create MOV files out of videos and AIFF from audio files, as expected.
  * Closes: #998860: Point d/watch at releases.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Mon, 08 Nov 2021 19:41:12 +0100

ffmpegfs (2.6-1) unstable; urgency=medium

  * Feature: Issue #63 - Hardware acceleration for encoding/decoding is partly
    implemented, VAAPI/MMAL/OMX/V4L2 are currently available only.
    - Supported hardware: V4L2/VAAPI (Intel) and V4L2/MMAL/OMX (Raspberry).
    - VAAPI: H264, H265/HEVC, MPEG-2 and VP-8 decoding and H264 encoding.
    - VAAPI: MJPEG and VC-9 do not work (yet).
    - MMAL: H264, MPEG-2, MPEG-4 and VC1 decoding.
    - OMX: H264 encoding.
    - V4L2: H263, H264, H265, MPEG1/2/4, VC-1, VP8/9 encoding/decoding.
  * Feature: Added unit tests for hardware acceleration. Failing tests will
    report as SKIPPED and not fail the whole test.
  * Note: Which hardware en/decoder actually works depends on what your hardware
    supports.
  * Call for testers: Have a CUDA capable graphics adapter and interested in
    testing? Please write me an E-Mail.
  * Bugfix: Issue #90: Make sure that one keyframe gets inserted at the start of
    each HLS segment.
  * Enhancement: Issue #80: Open input video codec only if target supports
    video. Saves resources: no need to decode video frames if not used.
  * Enhancement: Issue #81: If source format has no audio, and the target
    supports no video (e.g.WAV/MP3), the files have shown up zero sized. These
    will now not be visible when doing ls. When trying to open them "File not
    found" will be returned.
  * Added "configure --enable-debug" to create binaries with debug symbols.
    Defaults to the optimised version.
  * Feature: Issue #73: Cue sheet tracks now play "gapless" if played in order.
    Whenever a track is started, the next track will automatically be transcoded
    as well.
  * Feature: Issue #66 and issue #82: Added cue sheet support. If a file with
    cue extension is found with the same name as a media file or if a cue sheet
    is embedded into it (a tag named CUESHEET), tracks defined in it will show
    up in a virtual directory.
  * Feature: Issue #83: Character conversion for cue sheet files. Automatically
    detects the character encoding of the cue sheet. and converts as necessary.
  * Feature: Issue #78: Duplicate ARTIST to ALBUMARTIST tag if empty
  * Feature: Issue #79: Added Docker support.
  * Fixed deprecation: 2021-03-17 - f7db77bd87 - lavc 58.133.100 - codec.h
    Deprecated av_init_packet()
  * Fixed API compatibility: Many pointers made const as of 2021-04-27.
    Although reasonable, this breaks API compatibility with versions older

