=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  asciidoc-base,
  automake,
  bc,
- debhelper (>=12),
+ debhelper (>=13),
+ debhelper-compat (= 13),
  libavfilter-dev,
  libavcodec-dev,
  libavformat-dev,
@@ -19,17 +20,22 @@
  libsqlite3-dev,
  libswresample-dev,
  libswscale-dev,
+ libcue-dev,
+ libchardet-dev,
  libtool,
  docbook-xml,
  docbook-xsl,
  xsltproc,
  xxd,
  w3m
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://nschlia.github.io/ffmpegfs/
+Vcs-Git: https://github.com/nschlia/ffmpegfs.git -b master
+Vcs-Browser: https://github.com/nschlia/ffmpegfs
 
 Package: ffmpegfs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
