## ffmpegfs 2.9

=== debian/changelog ===
ffmpegfs (2.9-1) unstable; urgency=medium

  * Feature: Issue #97: Added options to chose different codecs. The audio codec
    can be selected with --audiocodec, for videos use --videocodec.
  * Feature: Issue #109: Allow user defined file extensions for source files. By
    default, only standard extensions are accepted, i.e., mp4, ts, avi etc.
    Arbitrary file extensions can be defined now, e.g. using
    --extensions=xxx,abc,yxz,aaa to also convert files ending with .xxx, .abc
    and so on.
  * Feature: Issue #121: Added MKV support. New format can be selected with
    --desttype=mkv.
  * Bugfix: Issue #112: Fixed Docker detection.
  * Bugfix: Issue #110: Docker build command failed, added missing libchardet
    and allow libdvdread4 or *8 to be used, whatever available.
  * Bugfix: Fixed crash when video had no audio.
  * Bugfix: Issue #112: Fixed access problems with frame sets and HLS.
  * Bugfix: Issue #119: Fixed problem that caused frame set generation to
    sometimes fail.
  * Bugfix: Fixed JPG frame set generation. Suddenly FF_COMPLIANCE_UNOFFICIAL
    was required to have FFmpeg API accept the codec.
  * Enhancement: Issue #67: Enhance file size prediction.
  * Bugfix: Need to synchronise screen log. Concurrent entries by separate flags
    created garbled output.
  * Bugfix: Avoid creating an HLS segment number which is out of bounds
    (higher than the expected number of segments).
  * Enhancement: Removed QMake support, replaced with CMake.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Wed, 16 Feb 2022 20:17:02 +0100
