=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://nschlia.github.io/ffmpegfs/
-Vcs-Git: https://github.com/nschlia/ffmpegfs.git -b master
-Vcs-Browser: https://github.com/nschlia/ffmpegfs
+Vcs-Git: https://salsa.debian.org/nschlia/ffmpegfs.git -b master
+Vcs-Browser: https://salsa.debian.org/nschlia/ffmpegfs
 
 Package: ffmpegfs
 Architecture: linux-any
