## ffmpegfs 2.11

=== debian/changelog ===
ffmpegfs (2.11-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:49:17 +0000

ffmpegfs (2.11-1) unstable; urgency=medium

  * Feature: Issue #86: Smart transcode now detects if a source file is audio
    only and uses the correct target format. For example, with
    --destination=webm+mp3, if one MP4 input file contains a video stream and
    another an audio stream only, the resulting files will be WebM (for the
    video input) and mp3 for the audio only file.
  * Feature: Issue #137: Add --no_subtitles option to turn subtitles off.
  * Bugfix: Smart encode selected the video format for cue sheet tracks,
    regardless of the input format. This has been fixed now.
  * Bugfix: Fix a crash that occurs when a DVD/Blu-ray is transcoded to audio
    only.
  * Bugfix: If the track performer field in the cuesheet is blank, try album
    performer instead.
  * Bugfix: Failing to mount Fuse during "make check" went unnoticed as the
    result code (which was supposed to be 99) was actually 0. Return the correct
    result code, failing the operation as expected.
  * Bugfix: The Docker build command contained a "make check" which actually
    failed altogether. Step has been removed. "make check" mounts Fuse, but this
    requires privileges that do not exist during "docker build".
  * Bugfix: On error, mremap () returns MAP_FAILED rather than NULL. Fixed a
    check for incorrect error conditions, which could cause the application to
    crash or return illogical error messages.
  * Bugfix: Issue #119: Fix a problem that caused frame set generation to fail
    sometimes. It seems to be related to the nremap() issue.
  * Generally revisited documentation, logging, and display texts. Improved
    grammar, formatting, and fixed quite a few typos that escaped all
    proofreading sessions.
  * The FFmpeg API INFO and DEBUG level log output has been changed to the
    FFmpegfs DEBUG level. What FFmpeg considers "INFO" is far too chatty.
  * Frequent memory reallocations when creating HLS segments have been reduced
    to speed up processing.
  * Optimised logging to save CPU time by not formatting log entries that are
    not written anyway at their log level.
  * Logging has been revised to shorten file paths and remove mount, input, and
    cache paths. Log the additional portion only to reduce log file size and
    improve readability.
  * Bugfix: To fix the build with GCC 12, add the missing include headers
    (closes: #1012925).

 -- Norbert Schlia <nschlia@oblivion-software.de>  Thu, 16 Jun 2022 16:44:18 +0200

ffmpegfs (2.10-2) unstable; urgency=medium

  * Drop MULTIFRAME_NODE typedef in favour of auto to avoid build fails under
    arm/i386/mipsel.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 15 May 2022 16:28:10 +0200

ffmpegfs (2.10-1) unstable; urgency=medium

  * Feature: Issue #123: New command line option to hide files by extension.
    Example: --hide_extensions=jpg,png,cue would stop covers and cue sheets
    from showing up.
  * Feature: Issue #120: Added subtitle support. Subtitle streams can now also
    be transcoded to the output files. Separate SRT or VTT files will be
    incorporated as subtitle streams.
  * Bugfix: Fixed memory leak in encode_audio_frame().
  * Bugfix: Issue #122: Last song was missing from cuesheet files.
  * Bugfix: Issue #129: Files remained zero size when previously transcoded.
  * Bugfix: Issue #130: Fix file sizes can be incorrectly reported by ls but
    are correct when data is read.
  * Bugfix: Duration was not saved in cache SQLite database.
  * Bugfix: Issue #131: Sometimes video parameters for some Bluray or DVD
    chapters cannot be detected by FFmpeg API. Transcode then failes - fixed
    by using data from the Bluray directory or DVD IFO instead.
  * Lowest supported FFmpeg API version raised to 4.1.8 "al-Khwarizmi".
  * Dropped libavresample support, library was removed from FFmpeg API after
    3.4.9.
  * Deprecated previous channel layout API based on uint64 bitmasks.
  * Deprecated swr_alloc_set_opts() and swr_build_matrix().
  * Going C++17 now: The packet queue has been recoded in C++17 to support
    external subtitles files. As C++17 is required now, why not go all the way:
    Starting to replace legacy C++ and somewhat C-like parts with real C++.
  * Using std::shared_ptr to ensure proper memory allocation/free.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Tue, 26 Apr 2022 20:00:34 +0200
