=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpegfs
 Section: utils
 Priority: optional
-Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
 Build-Depends:
  asciidoc-base,
  automake,
@@ -42,10 +43,10 @@
  ${shlibs:Depends}
 Description: Fuse Multi Media Filesystem
  A read-only FUSE filesystem which transcodes various audio and video formats
- to MP4, WebM and many more on the fly when opened and read using the FFmpeg
- library, this way supporting a multitude of input formats and a variety of
+ to MP4, WebM, and many more on the fly when opened and read using the FFmpeg
+ library, thus supporting a multitude of input formats and a variety of
  common output formats.
  .
- This allows access to a multi media file collection with software and/or
+ This allows access to a multi-media file collection with software and/or
  hardware which only understands one of the supported output formats, or
- transcode files through simple drag-and-drop in a file browser.
+ transcodes files through simple drag-and-drop in a file browser.
