## ffmpegfs 2.13

=== debian/changelog ===
ffmpegfs (2.13-1) unstable; urgency=medium

  * Added --prebuffer_time parameter. Files will be decoded until the buffer
    contains the specified playing time, allowing playback to start smoothly
    without lags. Works similar to --prebuffer_size but gives better control
    because it does not depend on the bit rate. An example: when set to
    25 seconds for HLS transcoding, this will make sure that at least 2 complete
    segments will be available once the file is released and visible.
  * Feature: Closes #140: Filtering the files that will be encoded has been
    added. A comma-separated list of extensions is specified by the
    --include_extensions parameter. These file extensions are the only ones that
    will be transcoded.
    The entries support shell wildcard patterns.
  * Feature: The --hide_extensions parameter syntax has been extended. The
    entries now support shell wildcard patterns.
  * Bugfix: Closes #139: Additional files could be added using the --extensions
    parameter. However, this is no longer necessary; in the past, a file's
    extension determined whether or not it would be transcoded. Files with
    unknown extensions would be ignored. The extension is no longer important
    because FFmpegfs now examines all input files and recognises transcodable
    files by the format.
    The outdated --extensions argument was removed without substitution.
  * Bugfix: Fixed crash when implode() function was called with an empty string.
    Happened with Windows GCC 11.3.0 only.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 15 Jan 2023 12:19:42 +0100

ffmpegfs (2.12-1) unstable; urgency=medium

  * The code has been run through clang-tidy to identify bug-prone or
    inefficient code, and to find parts that could be modernised to C++17.
    Several issues could be resolved. Sometimes, many lines of code could be
    replaced by a few. Some parts run far more efficiently than before. C++17
    is cool. I need to get a t-shirt.
  * Bugfix: In get prores bitrate(), a crash that might have happened under
    unusual circumstances has been corrected. If the best match resolution
    could not be found, array access out-of-bounds could happen.
  * Bugfix: Several unlikely, but potential problems that could have happened
    when subtitle decoding failed or delayed video/audio packets couldn't be
    decoded have been fixed.
  * Bugfix: An internal problem could cause the application to crash. Should
    never happen, though. Fixed anyway.
  * Bugfix: Sometimes, the last segment's estimated size was incredibly small -
    about 2 bytes. Each segment should have the same predicted size as it is
    calculated simply by dividing the projected size of the entire file by the
    number of segments. Following transcoding, the size was accurate.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sat, 27 Aug 2022 17:08:02 +0200
