=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpegfs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
+Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
 Build-Depends:
  asciidoc-base,
  automake,
@@ -29,7 +28,7 @@
  xsltproc,
  xxd,
  w3m
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://nschlia.github.io/ffmpegfs/
 Vcs-Git: https://salsa.debian.org/nschlia/ffmpegfs.git -b master
