## ffmpegfs 2.15

=== debian/changelog ===
ffmpegfs (2.15-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:15 +1100

ffmpegfs (2.15-1build1) noble; urgency=high

  * No change rebuild against libfuse2t64, libdvdread8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:01:40 +0100

ffmpegfs (2.15-1) unstable; urgency=medium

  * Bugfix: Issue #151: Fixed autocopy STRICT never triggers for video streams
  * Bugfix: Closes #153: The --include_extensions parameter now contains a
    description, which was previously missing from the manual and online help.
  * Issue #149: 2023-05-04 - xxxxxxxxxx - lavu 58.7.100 - frame.h
    Deprecate AVFrame.interlaced_frame, AVFrame.top_field_first, and
    AVFrame.key_frame.
    Add AV_FRAME_FLAG_INTERLACED, AV_FRAME_FLAG_TOP_FIELD_FIRST, and
    AV_FRAME_FLAG_KEY flags as replacement.
  * Issue #149: 2023-05-04 - xxxxxxxxxx - lavu 58.7.100 - frame.h
    Deprecate AVFrame.interlaced_frame, AVFrame.top_field_first, and
    AVFrame.key_frame.
    Add AV_FRAME_FLAG_INTERLACED, AV_FRAME_FLAG_TOP_FIELD_FIRST, and
    AV_FRAME_FLAG_KEY flags as replacement.
  * Issue #149: 2021-09-20 - dd846bc4a91 - lavc 59.8.100 - avcodec.h codec.h
    Deprecate AV_CODEC_FLAG_TRUNCATED and AV_CODEC_CAP_TRUNCATED,
    as they are redundant with parsers.
  * Closes #136: The CMake build files have been removed. Support was never more
    than experimental, and CMake lacks a good uninstall option. Will stick to
    automake system from now on.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sat, 03 Feb 2024 21:11:45 +0100
