=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
         https://github.com/nschlia/ffmpegfs/releases (?:.*\/)?ffmpegfs-(\d[\d\.]*)\.tar\.gz
