## ffmpegfs 2.16

=== debian/changelog ===
ffmpegfs (2.16-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:12:09 +0200

ffmpegfs (2.16-1) unstable; urgency=medium

  * Bugfix: Closes:1072412: Fix build with FFmpeg 7.0. write_packet() now with
    const buffer as of Libavformat 61+.
  * Fixed deprecation: 2014-05-18 - 68c0518 / fd05602 - lavc 55.63.100 / 55.52.0
    - avcodec.h
    Add avcodec_free_context(). From now on it should be used for freeing
    AVCodecContext.
  * Fixed deprecation: 2023-05-15 - 7d1d61cc5f5 - lavc 60 - avcodec.h
    Depreate AVCodecContext.ticks_per_frame in favor of
    AVCodecContext.framerate (encoding) and
    AV_CODEC_PROP_FIELDS (decoding).

 -- Norbert Schlia <nschlia@oblivion-software.de>  Mon, 10 Jun 2024 21:05:51 +0200
