## ffmpegfs 2.17

=== debian/changelog ===
ffmpegfs (2.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Tue, 03 Dec 2024 07:50:09 +0100

ffmpegfs (2.17-1) unstable; urgency=medium

  * Bugfix: Issue #164: Fixed incorrectly discarded HLS seek requests.

  * Bugfix: Wrong error message fixed when an invalid audio/video codec was
    selected. The message should rather say "unsupported codec" instead of
    talking about "sample format not supported.".
  * Bugfix: Issue #162: If not present, add time stamps to the copied streams.
  * Changed quality from 34 to 40 for hardware encoded video streams to create
    slightly smaller files.
  * Closes: #1084487: Moved from the Fuse 2 to the Fuse 3 API.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Fri, 22 Nov 2024 16:43:59 +0100

ffmpegfs (2.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sun, 03 Sep 2023 17:03:33 +0200

ffmpegfs (2.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Mon, 30 Jan 2023 19:25:24 +0100

ffmpegfs (2.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sat, 10 Sep 2022 13:21:54 +0200

ffmpegfs (2.11-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Thu, 28 Jul 2022 21:18:19 +0200

ffmpegfs (2.10-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Norbert Schlia <nschlia@oblivion-software.de>  Sat, 21 May 2022 14:06:27 +0200
