=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpegfs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
+Maintainer: Norbert Schlia <nschlia@oblivion-software.de>
 Build-Depends:
  asciidoc-base,
  automake,
@@ -17,7 +16,7 @@
  libchromaprint-dev,
  libdvdnav-dev,
  libdvdread-dev,
- libfuse-dev,
+ libfuse3-dev,
  libsqlite3-dev,
  libswresample-dev,
  libswscale-dev,
