=== debian/watch ===
version=4
opts="searchmode=plain,pgpsigurlmangle=s/$/.asc/" \
	https://api.github.com/repos/nschlia/ffmpegfs/releases \
	https://github.com/nschlia/ffmpegfs/releases/download/v(?:\d[\d.]*)/ffmpegfs-(\d[\d.]*)\.tar\.gz
